package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;


import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.ItemPriceInfoForCallback;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class NotificationPushStoreInfoRequest {
    private String storeId;
    private String storeName;
    private String address;
    private Float lat;
    private Float lon;
    private String cityName;
    private String brandId;
    private String provinceName;
    private String brandName;
    private String tel;
    private String openTimeHourStart;
    private String openTimeHourEnd;
    private String logo;
    private List<String> picList;
    private Integer status;
    private Integer invoiceManner;
    private List<String> marketTags;
    private List<ItemPriceInfoForCallback> itemInfoList;


    public String getApiMethodName() {
        return "/receivingGasStation";
    }


}
