package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;


import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.OpenRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.AllowanceInfo;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.CalBatchPriceItemInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryCalBatchPriceRequest extends OpenRequest {
    private String storeId;
    private String outUserId;
    private String mobile;
    private String deviceId;
    private final Integer openChannel=1;
    private List<CalBatchPriceItemInfo> itemList;
    private List<AllowanceInfo> promotionInfo;
    private String outNewUserFlag;


    public String getApiMethodName() {
        return "/open/energy/oil/v1/queryCalPrices";
    }


}
